POST api/FactoryPlant/AddFreeSampleInvoiceItem
Request Information
URI Parameters
None.
Body Parameters
SampleProductInvoiceItem| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| FreeInvoiceId | integer |
None. |
|
| DistributorId | integer |
None. |
|
| FreeInvoiceNo | string |
None. |
|
| ItemId | integer |
None. |
|
| Unit | string |
None. |
|
| SKU | string |
None. |
|
| Quantity | integer |
None. |
|
| Shift | string |
None. |
|
| ProductSupplyDate | date |
None. |
|
| TPODate | date |
None. |
|
| CreatedOn | date |
None. |
|
| CreatedBy | integer |
None. |
|
| UpdatedOn | date |
None. |
|
| UpdatedBy | integer |
None. |
|
| IsDelete | boolean |
None. |
|
| IsActive | boolean |
None. |
|
| Remark | string |
None. |
|
| ItemCategoryID | integer |
None. |
|
| ItemCode | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": 1,
"freeInvoiceId": 2,
"distributorId": 3,
"freeInvoiceNo": "sample string 4",
"itemId": 5,
"unit": "sample string 6",
"sku": "sample string 7",
"quantity": 8,
"shift": "sample string 9",
"productSupplyDate": "2026-04-13T20:16:06.1850187+05:30",
"tpoDate": "2026-04-13T20:16:06.1850187+05:30",
"createdOn": "2026-04-13T20:16:06.1850187+05:30",
"createdBy": 13,
"updatedOn": "2026-04-13T20:16:06.1850187+05:30",
"updatedBy": 15,
"isDelete": true,
"isActive": true,
"remark": "sample string 18",
"itemCategoryID": 19,
"itemCode": "sample string 20"
}
application/xml, text/xml
Sample:
<SampleProductInvoiceItem xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/DistributionApplication.Entities"> <CreatedBy>13</CreatedBy> <CreatedOn>2026-04-13T20:16:06.1850187+05:30</CreatedOn> <DistributorId>3</DistributorId> <FreeInvoiceId>2</FreeInvoiceId> <FreeInvoiceNo>sample string 4</FreeInvoiceNo> <Id>1</Id> <IsActive>true</IsActive> <IsDelete>true</IsDelete> <ItemCategoryID>19</ItemCategoryID> <ItemCode>sample string 20</ItemCode> <ItemId>5</ItemId> <ProductSupplyDate>2026-04-13T20:16:06.1850187+05:30</ProductSupplyDate> <Quantity>8</Quantity> <Remark>sample string 18</Remark> <SKU>sample string 7</SKU> <Shift>sample string 9</Shift> <TPODate>2026-04-13T20:16:06.1850187+05:30</TPODate> <Unit>sample string 6</Unit> <UpdatedBy>15</UpdatedBy> <UpdatedOn>2026-04-13T20:16:06.1850187+05:30</UpdatedOn> </SampleProductInvoiceItem>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
integerResponse Formats
application/json, text/json
Sample:
1
application/xml, text/xml
Sample:
<long xmlns="http://schemas.microsoft.com/2003/10/Serialization/">1</long>